Bug 152874 - [XSS Auditor] Extract attribute truncation logic and formalize string canonicalization
Summary: [XSS Auditor] Extract attribute truncation logic and formalize string canonic...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: BlinkMergeCandidate, XSSAuditor
Depends on:
Blocks:
 
Reported: 2016-01-07 17:09 PST by Daniel Bates
Modified: 2016-01-14 13:40 PST (History)
0 users

See Also:


Attachments
Patch (25.30 KB, patch)
2016-01-07 17:11 PST, Daniel Bates
bfulgham: review+
bfulgham: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2016-01-07 17:09:43 PST
Blink Code Review: <https://codereview.chromium.org/338193002/>.
Comment 1 Daniel Bates 2016-01-07 17:11:37 PST
Created attachment 268513 [details]
Patch
Comment 2 Brent Fulgham 2016-01-13 13:17:02 PST
Comment on attachment 268513 [details]
Patch

I assume there are no new tests because this is just a refactoring?
Comment 3 Brent Fulgham 2016-01-13 13:19:11 PST
Comment on attachment 268513 [details]
Patch

The patch looks reasonable, but please make sure tests pass before landing.
Comment 4 Daniel Bates 2016-01-14 13:40:28 PST
Committed r195074: <http://trac.webkit.org/changeset/195074>